【Linux】現在手元にはhttpd-devel-1.3のrpmがあります。

httpd-devel-1.3のtar.gzのファイルが落ちてない、と いうかRPMしかないようです。
RPMだとインストール先の変更がうまくできなくて駄目でした。
できれば apache2がすでに動いているので、他の一つのディレクトリに devel-1.3のファイルをまとめてインストールしたいのですが
なにか方法はありますか?

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2006/01/23 09:45:25
  • 終了:--

回答(1件)

id:guki No.1

もすぴー回答回数51ベストアンサー獲得回数12006/01/23 10:36:27

ポイント40pt

http://www.apache.jp/dist/httpd/

Index of /archives/net/apache/dist/httpd

たしかdevはApacheのソースに含まれているハズです。

例えば上記URLのapache_1.3.34.tar.gなど。

上書きしたくないのなら手動コンパイルで

./configure --prefix=/usr/local/xxxx/

などのようにディレクトリしていでインストールすれば問題ないと思います。


ただApache2が入っている状態で何故Apache1.3のDevが必要なのか不明なので、その辺りの理由を書いた方が根本的な解決になると思います。

id:yoshi5231

mod_layoutを使いヘッタ挿入をCGIにもしたいと いうのが理由のひとつです。ありがとうございました

2006/01/23 11:46:21
  • id:Kumappus
    /usr/local

    前の質問・回答が閉じないのでこちらに。

    FedoraにしてもRedHatにしても/usr/local以下は使わないのでここにApache1.3.xのソースから「野良ビルド」するのが正解ですが…。

    こちらに作ったものはrpmで管理できませんので、外向きにサーバを置くときは修正が出るたびにビルドしてアップデートするのがちょっと面倒かもしれません(パッケージベースじゃないシステムだと普通ですけどね)。
    また、apxsだけじゃなくてApache1.3サーバもmod_XXXなモジュールも全部こちらに入れないと動かないと思います。(/etcの位置はどうなるんだっけなあ?)
    ポートも80じゃないところに変えないと2.0とぶつかりますし、結構大変ですよ。
    2.0でmod_layoutを何とか動かすようにしたほうがよいのではないかと思います。そちらの質問は出ていませんよね?
    コメントには「mod_layoutはapache2だと使えないこともある」と書いてありましたけど…、そちらの詳細を書いて質問した方が早いのでは。

この質問への反応(ブックマークコメント)

トラックバック

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません